Vraag Oracle Java-plug-in niet herkend door Firefox 35.0.1


Ik heb symbolische koppelingen toegevoegd die naar libnpjp2.so van jdk1.8.0_25 (in jdk1.8.0_25 / jre / lib / i386 /) verwijzen naar de volgende locaties:

  • / Usr / lib / mozilla / plugins
  • / Usr / lib / firefox-extensies / plugins
  • /home/(myusername)/.mozilla/plugins

Zonder succes. Over ongeveer gaan: plug-ins en over: extensies laten zien dat firefox de links niet ziet of niet goed gebruikt. Ik heb Firefox en mijn computer opnieuw opgestart en het probleem blijft bestaan.

Dezelfde symbolische koppeling werkte prima voordat firefox toestemming vroeg om te updaten. Na het bijwerken en opnieuw opstarten wordt de plug-in niet herkend of gebruikt. Ik gebruik momenteel de 32-bits plug-in van 32-bits Java met 32-bits firefox op een 32-bits lubuntu-installatie. De huidige firefox-versie is 35.0.1, ik weet niet zeker welke versie ik gebruikte vóór de update, maar ik veronderstel dat de update er onmiddellijk aan voorafging.

Ik zie geen enkele reden waarom het niet werkt, maar toch niet. Waarom is dit (als je nog meer informatie kunt bedenken, vraag het weg en ik zal het bericht bijwerken)?

UPDATE: Gevonden oplossing - vanaf https://support.mozilla.org/en-US/kb/use-java-plugin-to-view-interactive-content het kan worden opgelost door pluginreg.dat in de profielmap te verwijderen (instructies voor het vinden van deze zijn te vinden op de site).


2
2018-02-08 22:53


oorsprong




antwoorden:


Verwijder pluginreg.dat in de profielmap. Instructies voor het vinden van deze map zijn te vinden op https://support.mozilla.org/en-US/kb/use-java-plugin-to-view-interactive-content.


1
2018-02-18 04:22



OK, maar welke directory is de juiste om de symlink in te maken? Ik heb alle drie geprobeerd, verwijderd pluginreg.daten Firefox 50 ziet nog steeds niet de Java 32-bits plug-in die ik heb gekoppeld. (Ik heb 32 bit nodig voor de online chequebijlage-applet van mijn shitty bank die toegang heeft tot de scanner.) - Dan Dascalescu